Method: projects.locations.acceleratorTypes.list

Lists accelerator types supported by this API.

HTTP request

GET https://tpu.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/acceleratorTypes

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource name.

Query parameters

Parameters
pageSize

integer

The maximum number of items to return.

pageToken

string

The nextPageToken value returned from a previous List request, if any.

filter

string

List filter.

orderBy

string

Sort results.

Request body

The request body must be empty.

Response body

DEPRECATED: Please use TPU API v2alpha1 instead. Response for acceleratorTypes.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "acceleratorTypes": [
    {
      object (AcceleratorType)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
acceleratorTypes[]

object (AcceleratorType)

The listed nodes.

nextPageToken

string

The next page token or empty if none.

unreachable[]

string

Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud.tpu
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • tpu.acceleratortypes.list

For more information, see the IAM documentation.